TextSyntax (Java Platform SE 8 )
Keywords: javax.print.attribute.TextSyntax class
Date: 2018-07-01

javax.print.attribute

## Class TextSyntax

- java.lang.Object
- - javax.print.attribute.TextSyntax

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    DocumentName, JobMessageFromOperator, JobName, JobOriginatingUserName, OutputDeviceAssigned, PrinterInfo, PrinterLocation, PrinterMakeAndModel, PrinterMessageFromOperator, PrinterName, RequestingUserName

      public abstract class TextSyntax
      extends Object
      implements Serializable, Cloneable

  Class TextSyntax is an abstract base class providing the common implementation of all attributes whose value is a string. The text attribute includes a locale to indicate the natural language. Thus, a text attribute always represents a localized string. Once constructed, a text attribute's value is immutable.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextSyntax(String value, Locale locale)` Constructs a TextAttribute with the specified string and locale.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)` Returns whether this text attribute is equivalent to the passed in object.
    `Locale` | `getLocale()` Returns this text attribute's text string's natural language (locale).
    `String` | `getValue()` Returns this text attribute's text string.
    `int` | `hashCode()` Returns a hashcode for this text attribute.
    `String` | `toString()` Returns a String identifying this text attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextSyntax

          protected TextSyntax(String value,
                               Locale locale)

      Constructs a TextAttribute with the specified string and locale.
      Parameters:
        `value` - Text string.
        `locale` - Natural language of the text string. null is interpreted to mean the default locale for as returned by `Locale.getDefault()`
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if `value` is null.

  - ### Method Detail

    - #### getValue

          public String getValue()

      Returns this text attribute's text string.
      Returns:
        the text string.

    - #### getLocale

          public Locale getLocale()

      Returns this text attribute's text string's natural language (locale).
      Returns:
        the locale

    - #### hashCode

          public int hashCode()

      Returns a hashcode for this text attribute.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        A hashcode value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### equals

          public boolean equals(Object object)

      Returns whether this text attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not null.
      2. `object` is an instance of class TextSyntax.
      3. This text attribute's underlying string and `object`'s underlying string are equal.
      4. This text attribute's locale and `object`'s locale are equal.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `object` - Object to compare to.
      Returns:
        True if `object` is equivalent to this text attribute, false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### toString

          public String toString()

      Returns a String identifying this text attribute. The String is the attribute's underlying text string.
      Overrides:
        `toString` in class `Object`
      Returns:
        A String identifying this object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.